﻿
using System;
namespace TheGameExtreme.model
{
    public class Fraction
    {
        public int Numerateur;
        public int Denominateur;

        public Fraction(int numerateur, int denominateur)
        {
            Numerateur = numerateur;
            Denominateur = denominateur;
        }

        public bool isMultiple(Fraction fraction)
        {
            if (Numerateur % fraction.Numerateur == 0)
            {
                return true;
            }
            if (Denominateur % fraction.Denominateur == 0)
            {
                return true;
            }
            return false;
        }

        public bool testDiviseurCommun(Fraction fraction)
        {
            if (PGCD(Numerateur, fraction.Numerateur) == Numerateur || PGCD(Denominateur, fraction.Denominateur) == Denominateur)
            {
                return true;
            }
            return false;
        }

        private int PGCD(int a, int b)
        {
            int temp = a % b;
            if (temp == 0)
                return b;
            return PGCD(b, temp);
        }

        public decimal Result()
        {
            decimal result = (decimal)Numerateur / (decimal)Denominateur;
            return result;
        }

        override public string ToString()
        {
            return Numerateur.ToString() + "/" + Denominateur.ToString();
        }
    }
}
