﻿using System;
using TheGameExtreme.model.card;
using TheGameExtreme.model.card.cardType;

namespace TheGameExtreme.model.deck
{
    public class MilliemeDeck : Deck
    {
        public MilliemeDeck(int nbCard, decimal borneMin, decimal borneMax) : base(nbCard)
        {
            Random random = new Random();
            int borneMinRandom = (int)(borneMin * 1000);
            int borneMaxRandom = (int)(borneMax * 1000);
            while (deck.Count < nbCard && deck.Count < (borneMaxRandom - borneMinRandom))
            {
                decimal value = (decimal)(random.Next(borneMinRandom, borneMaxRandom)) / 1000;
                InsertionDichotomique(deck, 0, deck.Count-1, new ClassicCard(value));
            }
        }
    }
}
